struct REG
{
	HKEY hKey;           // handle of the key opened.
	DWORD dwDisposition; // disposition values after ropen.
};

REG* ropen( HKEY hKeyOpened, const char* szRegistryKey, const char* mode = NULL );
REG* ropen( const char* szRegistryKey, const char* mode = NULL );
BOOL rclose( REG* rp );
BOOL rdelete( const REG* rp, const char* subkey );
BOOL rdelete_value( const REG* rp, const char* value_name );
void rflush( const REG* rp );
int rget_valuesize( const REG* rp, const char value_name );
const char* rgets( char* buffer, int size_buffer, const REG* rp, const char* value_name );
int rgeti( const REG* rp, const char* value_name, int default_value = 0 );
int rputs( const char* string, REG* rp, const char* value_name = NULL );
int rputi( int value, REG* rp, const char* value_name = NULL );

